#ifndef mozilla_dom_BindingNames_h
#define mozilla_dom_BindingNames_h

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPseudoElement = 1138,
  CSSRule = 1155,
  CSSRuleList = 1163,
  CSSStyleDeclaration = 1175,
  CSSStyleRule = 1195,
  CSSStyleSheet = 1208,
  CSSSupportsRule = 1222,
  CSSTransition = 1238,
  Cache = 1252,
  CacheStorage = 1258,
  CallbackDebuggerNotification = 1271,
  CanonicalBrowsingContext = 1300,
  CanvasCaptureMediaStream = 1325,
  CanvasGradient = 1350,
  CanvasPattern = 1365,
  CanvasRenderingContext2D = 1379,
  CaretPosition = 1404,
  CaretStateChangedEvent = 1418,
  ChannelMergerNode = 1441,
  ChannelSplitterNode = 1459,
  ChannelWrapper = 1479,
  CharacterData = 1494,
  CheckerboardReportService = 1508,
  ChildProcessMessageManager = 1534,
  ChildSHistory = 1561,
  ChromeMessageBroadcaster = 1575,
  ChromeMessageSender = 1600,
  ChromeNodeList = 1620,
  ChromeUtils = 1635,
  ChromeWorker = 1647,
  Client = 1660,
  Clients = 1667,
  Clipboard = 1675,
  ClipboardEvent = 1685,
  ClipboardItem = 1700,
  ClonedErrorHolder = 1714,
  CloseEvent = 1732,
  CommandEvent = 1743,
  Comment = 1756,
  CompositionEvent = 1764,
  CompressionStream = 1781,
  ConsoleInstance = 1799,
  ConstantSourceNode = 1815,
  ContentFrameMessageManager = 1834,
  ContentProcessMessageManager = 1861,
  ContentVisibilityAutoStateChangeEvent = 1890,
  ConvolverNode = 1928,
  CountQueuingStrategy = 1942,
  CreateOfferRequest = 1963,
  Credential = 1982,
  CredentialsContainer = 1993,
  Crypto = 2014,
  CryptoKey = 2021,
  CustomElementRegistry = 2031,
  CustomEvent = 2053,
  DOMException = 2065,
  DOMImplementation = 2078,
  DOMLocalization = 2096,
  DOMMatrix = 2112,
  DOMMatrixReadOnly = 2122,
  DOMParser = 2140,
  DOMPoint = 2150,
  DOMPointReadOnly = 2159,
  DOMQuad = 2176,
  DOMRect = 2184,
  DOMRectList = 2192,
  DOMRectReadOnly = 2204,
  DOMRequest = 2220,
  DOMStringList = 2231,
  DOMStringMap = 2245,
  DOMTokenList = 2258,
  DataTransfer = 2271,
  DataTransferItem = 2284,
  DataTransferItemList = 2301,
  DebuggerNotification = 2322,
  DebuggerNotificationObserver = 2343,
  DecompressionStream = 2372,
  DedicatedWorkerGlobalScope = 2392,
  DelayNode = 2419,
  DeprecationReportBody = 2429,
  DeviceAcceleration = 2451,
  DeviceLightEvent = 2470,
  DeviceMotionEvent = 2487,
  DeviceOrientationEvent = 2505,
  DeviceRotationRate = 2528,
  Directory = 2547,
  Document = 2557,
  DocumentFragment = 2566,
  DocumentL10n = 2583,
  DocumentTimeline = 2596,
  DocumentType = 2613,
  DominatorTree = 2626,
  DragEvent = 2640,
  DynamicsCompressorNode = 2650,
  EXT_blend_minmax = 2673,
  EXT_color_buffer_float = 2690,
  EXT_color_buffer_half_float = 2713,
  EXT_disjoint_timer_query = 2741,
  EXT_float_blend = 2766,
  EXT_frag_depth = 2782,
  EXT_sRGB = 2797,
  EXT_shader_texture_lod = 2806,
  EXT_texture_compression_bptc = 2829,
  EXT_texture_compression_rgtc = 2858,
  EXT_texture_filter_anisotropic = 2887,
  EXT_texture_norm16 = 2918,
  Element = 2937,
  ElementInternals = 2945,
  ErrorEvent = 2962,
  Event = 2973,
  EventCallbackDebuggerNotification = 2979,
  EventCounts = 3013,
  EventSource = 3025,
  EventTarget = 3037,
  Exception = 3049,
  ExtendableEvent = 3059,
  ExtendableMessageEvent = 3075,
  ExtensionAlarms = 3098,
  ExtensionBrowser = 3114,
  ExtensionBrowserSettings = 3131,
  ExtensionBrowserSettingsColorManagement = 3156,
  ExtensionDns = 3196,
  ExtensionEventManager = 3209,
  ExtensionMockAPI = 3231,
  ExtensionPort = 3248,
  ExtensionProxy = 3262,
  ExtensionRuntime = 3277,
  ExtensionScripting = 3294,
  ExtensionSetting = 3313,
  ExtensionTest = 3330,
  External = 3344,
  FeaturePolicy = 3353,
  FeaturePolicyViolationReportBody = 3367,
  FetchEvent = 3400,
  FetchObserver = 3411,
  File = 3425,
  FileList = 3430,
  FileReader = 3439,
  FileReaderSync = 3450,
  FileSystem = 3465,
  FileSystemDirectoryEntry = 3476,
  FileSystemDirectoryHandle = 3501,
  FileSystemDirectoryHandle_AsyncIterator = 3527,
  FileSystemDirectoryIterator = 3567,
  FileSystemDirectoryReader = 3595,
  FileSystemEntry = 3621,
  FileSystemFileEntry = 3637,
  FileSystemFileHandle = 3657,
  FileSystemHandle = 3678,
  FileSystemSyncAccessHandle = 3695,
  FileSystemWritableFileStream = 3722,
  Flex = 3751,
  FlexItemValues = 3756,
  FlexLineValues = 3771,
  FluentBundle = 3786,
  FluentBundleAsyncIterator = 3799,
  FluentBundleIterator = 3825,
  FluentPattern = 3846,
  FluentResource = 3860,
  FocusEvent = 3875,
  FontFace = 3886,
  FontFaceSet = 3895,
  FontFaceSetIterator = 3907,
  FontFaceSetLoadEvent = 3927,
  FormData = 3948,
  FormData_Iterator = 3957,
  FormDataEvent = 3975,
  FrameCrashedEvent = 3989,
  FrameLoader = 4007,
  GPU = 4019,
  GPUAdapter = 4023,
  GPUBindGroup = 4034,
  GPUBindGroupLayout = 4047,
  GPUBuffer = 4066,
  GPUBufferUsage = 4076,
  GPUCanvasContext = 4091,
  GPUColorWrite = 4108,
  GPUCommandBuffer = 4122,
  GPUCommandEncoder = 4139,
  GPUCompilationInfo = 4157,
  GPUCompilationMessage = 4176,
  GPUComputePassEncoder = 4198,
  GPUComputePipeline = 4220,
  GPUDevice = 4239,
  GPUDeviceLostInfo = 4249,
  GPUMapMode = 4267,
  GPUOutOfMemoryError = 4278,
  GPUPipelineLayout = 4298,
  GPUQuerySet = 4316,
  GPUQueue = 4328,
  GPURenderBundle = 4337,
  GPURenderBundleEncoder = 4353,
  GPURenderPassEncoder = 4376,
  GPURenderPipeline = 4397,
  GPUSampler = 4415,
  GPUShaderModule = 4426,
  GPUShaderStage = 4442,
  GPUSupportedFeatures = 4457,
  GPUSupportedLimits = 4478,
  GPUTexture = 4497,
  GPUTextureUsage = 4508,
  GPUTextureView = 4524,
  GPUUncapturedErrorEvent = 4539,
  GPUValidationError = 4563,
  GainNode = 4582,
  Gamepad = 4591,
  GamepadAxisMoveEvent = 4599,
  GamepadButton = 4620,
  GamepadButtonEvent = 4634,
  GamepadEvent = 4653,
  GamepadHapticActuator = 4666,
  GamepadLightIndicator = 4688,
  GamepadPose = 4710,
  GamepadServiceTest = 4722,
  GamepadTouch = 4741,
  Geolocation = 4754,
  GeolocationCoordinates = 4766,
  GeolocationPosition = 4789,
  GeolocationPositionError = 4809,
  GetUserMediaRequest = 4834,
  GleanCategory = 4854,
  GleanImpl = 4868,
  GleanLabeled = 4878,
  GleanPingsImpl = 4891,
  Grid = 4906,
  GridArea = 4911,
  GridDimension = 4920,
  GridLine = 4934,
  GridLines = 4943,
  GridTrack = 4953,
  GridTracks = 4963,
  HTMLAllCollection = 4974,
  HTMLAnchorElement = 4992,
  HTMLAreaElement = 5010,
  HTMLAudioElement = 5026,
  HTMLBRElement = 5043,
  HTMLBaseElement = 5057,
  HTMLBodyElement = 5073,
  HTMLButtonElement = 5089,
  HTMLCanvasElement = 5107,
  HTMLCollection = 5125,
  HTMLDListElement = 5140,
  HTMLDataElement = 5157,
  HTMLDataListElement = 5173,
  HTMLDetailsElement = 5193,
  HTMLDialogElement = 5212,
  HTMLDirectoryElement = 5230,
  HTMLDivElement = 5251,
  HTMLDocument = 5266,
  HTMLElement = 5279,
  HTMLEmbedElement = 5291,
  HTMLFieldSetElement = 5308,
  HTMLFontElement = 5328,
  HTMLFormControlsCollection = 5344,
  HTMLFormElement = 5371,
  HTMLFrameElement = 5387,
  HTMLFrameSetElement = 5404,
  HTMLHRElement = 5424,
  HTMLHeadElement = 5438,
  HTMLHeadingElement = 5454,
  HTMLHtmlElement = 5473,
  HTMLIFrameElement = 5489,
  HTMLImageElement = 5507,
  HTMLInputElement = 5524,
  HTMLLIElement = 5541,
  HTMLLabelElement = 5555,
  HTMLLegendElement = 5572,
  HTMLLinkElement = 5590,
  HTMLMapElement = 5606,
  HTMLMarqueeElement = 5621,
  HTMLMediaElement = 5640,
  HTMLMenuElement = 5657,
  HTMLMetaElement = 5673,
  HTMLMeterElement = 5689,
  HTMLModElement = 5706,
  HTMLOListElement = 5721,
  HTMLObjectElement = 5738,
  HTMLOptGroupElement = 5756,
  HTMLOptionElement = 5776,
  HTMLOptionsCollection = 5794,
  HTMLOutputElement = 5816,
  HTMLParagraphElement = 5834,
  HTMLParamElement = 5855,
  HTMLPictureElement = 5872,
  HTMLPreElement = 5891,
  HTMLProgressElement = 5906,
  HTMLQuoteElement = 5926,
  HTMLScriptElement = 5943,
  HTMLSelectElement = 5961,
  HTMLSlotElement = 5979,
  HTMLSourceElement = 5995,
  HTMLSpanElement = 6013,
  HTMLStyleElement = 6029,
  HTMLTableCaptionElement = 6046,
  HTMLTableCellElement = 6070,
  HTMLTableColElement = 6091,
  HTMLTableElement = 6111,
  HTMLTableRowElement = 6128,
  HTMLTableSectionElement = 6148,
  HTMLTemplateElement = 6172,
  HTMLTextAreaElement = 6192,
  HTMLTimeElement = 6212,
  HTMLTitleElement = 6228,
  HTMLTrackElement = 6245,
  HTMLUListElement = 6262,
  HTMLUnknownElement = 6279,
  HTMLVideoElement = 6298,
  HashChangeEvent = 6315,
  Headers = 6331,
  Headers_Iterator = 6339,
  HeapSnapshot = 6356,
  Highlight = 6369,
  HighlightRegistry = 6379,
  History = 6397,
  IDBCursor = 6405,
  IDBCursorWithValue = 6415,
  IDBDatabase = 6434,
  IDBFactory = 6446,
  IDBIndex = 6457,
  IDBKeyRange = 6466,
  IDBLocaleAwareKeyRange = 6478,
  IDBObjectStore = 6501,
  IDBOpenDBRequest = 6516,
  IDBRequest = 6533,
  IDBTransaction = 6544,
  IDBVersionChangeEvent = 6559,
  IIRFilterNode = 6581,
  IOUtils = 6595,
  IdentityCredential = 6603,
  IdleDeadline = 6622,
  Image = 6635,
  ImageBitmap = 6641,
  ImageBitmapRenderingContext = 6653,
  ImageCapture = 6681,
  ImageCaptureError = 6694,
  ImageCaptureErrorEvent = 6712,
  ImageData = 6735,
  ImageDocument = 6745,
  InputEvent = 6759,
  InspectorFontFace = 6770,
  InspectorUtils = 6788,
  InstallTriggerImpl = 6803,
  IntersectionObserver = 6822,
  IntersectionObserverEntry = 6843,
  IntlUtils = 6869,
  JSProcessActorChild = 6879,
  JSProcessActorParent = 6899,
  JSWindowActorChild = 6920,
  JSWindowActorParent = 6939,
  KeyEvent = 6959,
  KeyboardEvent = 6968,
  KeyframeEffect = 6982,
  L10nFileSource = 6997,
  L10nOverlays = 7012,
  L10nRegistry = 7025,
  LegacyMozTCPSocket = 7038,
  Localization = 7057,
  Location = 7070,
  Lock = 7079,
  LockManager = 7084,
  MIDIAccess = 7096,
  MIDIConnectionEvent = 7107,
  MIDIInput = 7127,
  MIDIInputMap = 7137,
  MIDIMessageEvent = 7150,
  MIDIOutput = 7167,
  MIDIOutputMap = 7178,
  MIDIPort = 7192,
  MOZ_debug = 7201,
  MatchGlob = 7211,
  MatchPattern = 7221,
  MatchPatternSet = 7234,
  MathMLElement = 7250,
  MediaCapabilities = 7264,
  MediaCapabilitiesInfo = 7282,
  MediaControlService = 7304,
  MediaController = 7324,
  MediaDeviceInfo = 7340,
  MediaDevices = 7356,
  MediaElementAudioSourceNode = 7369,
  MediaEncryptedEvent = 7397,
  MediaError = 7417,
  MediaKeyError = 7428,
  MediaKeyMessageEvent = 7442,
  MediaKeySession = 7463,
  MediaKeyStatusMap = 7479,
  MediaKeyStatusMap_Iterator = 7497,
  MediaKeySystemAccess = 7524,
  MediaKeys = 7545,
  MediaList = 7555,
  MediaMetadata = 7565,
  MediaQueryList = 7579,
  MediaQueryListEvent = 7594,
  MediaRecorder = 7614,
  MediaRecorderErrorEvent = 7628,
  MediaSession = 7652,
  MediaSource = 7665,
  MediaStream = 7677,
  MediaStreamAudioDestinationNode = 7689,
  MediaStreamAudioSourceNode = 7721,
  MediaStreamError = 7748,
  MediaStreamEvent = 7765,
  MediaStreamTrack = 7782,
  MediaStreamTrackAudioSourceNode = 7799,
  MediaStreamTrackEvent = 7831,
  MerchantValidationEvent = 7853,
  MessageBroadcaster = 7877,
  MessageChannel = 7896,
  MessageEvent = 7911,
  MessageListenerManager = 7924,
  MessagePort = 7947,
  MessageSender = 7959,
  MimeType = 7973,
  MimeTypeArray = 7982,
  MouseEvent = 7996,
  MouseScrollEvent = 8007,
  MozCanvasPrintState = 8024,
  MozDocumentMatcher = 8044,
  MozDocumentObserver = 8063,
  MozQueryInterface = 8083,
  MozSharedMap = 8101,
  MozSharedMap_Iterator = 8114,
  MozSharedMapChangeEvent = 8136,
  MozStorageAsyncStatementParams = 8160,
  MozStorageStatementParams = 8191,
  MozStorageStatementRow = 8217,
  MozWritableSharedMap = 8240,
  MutationEvent = 8261,
  MutationObserver = 8275,
  MutationRecord = 8292,
  NamedNodeMap = 8307,
  NavigationPreloadManager = 8320,
  Navigator = 8345,
  NetworkInformation = 8355,
  Node = 8374,
  NodeFilter = 8379,
  NodeIterator = 8390,
  NodeList = 8403,
  Notification = 8412,
  NotificationEvent = 8425,
  NotifyPaintEvent = 8443,
  OES_draw_buffers_indexed = 8460,
  OES_element_index_uint = 8485,
  OES_fbo_render_mipmap = 8508,
  OES_standard_derivatives = 8530,
  OES_texture_float = 8555,
  OES_texture_float_linear = 8573,
  OES_texture_half_float = 8598,
  OES_texture_half_float_linear = 8621,
  OES_vertex_array_object = 8651,
  OVR_multiview2 = 8675,
  OfflineAudioCompletionEvent = 8690,
  OfflineAudioContext = 8718,
  OfflineResourceList = 8738,
  OffscreenCanvas = 8758,
  OffscreenCanvasRenderingContext2D = 8774,
  Option = 8808,
  OscillatorNode = 8815,
  PageTransitionEvent = 8830,
  PaintRequest = 8850,
  PaintRequestList = 8863,
  PaintWorkletGlobalScope = 8880,
  PannerNode = 8904,
  ParentProcessMessageManager = 8915,
  Path2D = 8943,
  PathUtils = 8950,
  PaymentAddress = 8960,
  PaymentMethodChangeEvent = 8975,
  PaymentRequest = 9000,
  PaymentRequestUpdateEvent = 9015,
  PaymentResponse = 9041,
  Performance = 9057,
  PerformanceEntry = 9069,
  PerformanceEntryEvent = 9086,
  PerformanceEventTiming = 9108,
  PerformanceMark = 9131,
  PerformanceMeasure = 9147,
  PerformanceNavigation = 9166,
  PerformanceNavigationTiming = 9188,
  PerformanceObserver = 9216,
  PerformanceObserverEntryList = 9236,
  PerformancePaintTiming = 9265,
  PerformanceResourceTiming = 9288,
  PerformanceServerTiming = 9314,
  PerformanceTiming = 9338,
  PeriodicWave = 9356,
  PermissionStatus = 9369,
  Permissions = 9386,
  PlacesBookmark = 9398,
  PlacesBookmarkAddition = 9413,
  PlacesBookmarkChanged = 9436,
  PlacesBookmarkGuid = 9458,
  PlacesBookmarkKeyword = 9477,
  PlacesBookmarkMoved = 9499,
  PlacesBookmarkRemoved = 9519,
  PlacesBookmarkTags = 9541,
  PlacesBookmarkTime = 9560,
  PlacesBookmarkTitle = 9579,
  PlacesBookmarkUrl = 9599,
  PlacesEvent = 9617,
  PlacesFavicon = 9629,
  PlacesHistoryCleared = 9643,
  PlacesObservers = 9664,
  PlacesPurgeCaches = 9680,
  PlacesRanking = 9698,
  PlacesVisit = 9712,
  PlacesVisitRemoved = 9724,
  PlacesVisitTitle = 9743,
  PlacesWeakCallbackWrapper = 9760,
  Plugin = 9786,
  PluginArray = 9793,
  PluginCrashedEvent = 9805,
  PointerEvent = 9824,
  PopStateEvent = 9837,
  PopupBlockedEvent = 9851,
  PopupPositionedEvent = 9869,
  PositionStateEvent = 9890,
  PrecompiledScript = 9909,
  ProcessMessageManager = 9927,
  ProcessingInstruction = 9949,
  ProgressEvent = 9971,
  PromiseDebugging = 9985,
  PromiseNativeHandler = 10002,
  PromiseRejectionEvent = 10023,
  PublicKeyCredential = 10045,
  PushEvent = 10065,
  PushManager = 10075,
  PushManagerImpl = 10087,
  PushMessageData = 10103,
  PushSubscription = 10119,
  PushSubscriptionOptions = 10136,
  RadioNodeList = 10160,
  Range = 10174,
  ReadableByteStreamController = 10180,
  ReadableStream = 10209,
  ReadableStream_AsyncIterator = 10224,
  ReadableStreamBYOBReader = 10253,
  ReadableStreamBYOBRequest = 10278,
  ReadableStreamDefaultController = 10304,
  ReadableStreamDefaultReader = 10336,
  Report = 10364,
  ReportBody = 10371,
  ReportingObserver = 10382,
  Request = 10400,
  ResizeObserver = 10408,
  ResizeObserverEntry = 10423,
  ResizeObserverSize = 10443,
  Response = 10462,
  SVGAElement = 10471,
  SVGAngle = 10483,
  SVGAnimateElement = 10492,
  SVGAnimateMotionElement = 10510,
  SVGAnimateTransformElement = 10534,
  SVGAnimatedAngle = 10561,
  SVGAnimatedBoolean = 10578,
  SVGAnimatedEnumeration = 10597,
  SVGAnimatedInteger = 10620,
  SVGAnimatedLength = 10639,
  SVGAnimatedLengthList = 10657,
  SVGAnimatedNumber = 10679,
  SVGAnimatedNumberList = 10697,
  SVGAnimatedPreserveAspectRatio = 10719,
  SVGAnimatedRect = 10750,
  SVGAnimatedString = 10766,
  SVGAnimatedTransformList = 10784,
  SVGAnimationElement = 10809,
  SVGCircleElement = 10829,
  SVGClipPathElement = 10846,
  SVGComponentTransferFunctionElement = 10865,
  SVGDefsElement = 10901,
  SVGDescElement = 10916,
  SVGElement = 10931,
  SVGEllipseElement = 10942,
  SVGFEBlendElement = 10960,
  SVGFEColorMatrixElement = 10978,
  SVGFEComponentTransferElement = 11002,
  SVGFECompositeElement = 11032,
  SVGFEConvolveMatrixElement = 11054,
  SVGFEDiffuseLightingElement = 11081,
  SVGFEDisplacementMapElement = 11109,
  SVGFEDistantLightElement = 11137,
  SVGFEDropShadowElement = 11162,
  SVGFEFloodElement = 11185,
  SVGFEFuncAElement = 11203,
  SVGFEFuncBElement = 11221,
  SVGFEFuncGElement = 11239,
  SVGFEFuncRElement = 11257,
  SVGFEGaussianBlurElement = 11275,
  SVGFEImageElement = 11300,
  SVGFEMergeElement = 11318,
  SVGFEMergeNodeElement = 11336,
  SVGFEMorphologyElement = 11358,
  SVGFEOffsetElement = 11381,
  SVGFEPointLightElement = 11400,
  SVGFESpecularLightingElement = 11423,
  SVGFESpotLightElement = 11452,
  SVGFETileElement = 11474,
  SVGFETurbulenceElement = 11491,
  SVGFilterElement = 11514,
  SVGForeignObjectElement = 11531,
  SVGGElement = 11555,
  SVGGeometryElement = 11567,
  SVGGradientElement = 11586,
  SVGGraphicsElement = 11605,
  SVGImageElement = 11624,
  SVGLength = 11640,
  SVGLengthList = 11650,
  SVGLineElement = 11664,
  SVGLinearGradientElement = 11679,
  SVGMPathElement = 11704,
  SVGMarkerElement = 11720,
  SVGMaskElement = 11737,
  SVGMatrix = 11752,
  SVGMetadataElement = 11762,
  SVGNumber = 11781,
  SVGNumberList = 11791,
  SVGPathElement = 11805,
  SVGPathSeg = 11820,
  SVGPathSegArcAbs = 11831,
  SVGPathSegArcRel = 11848,
  SVGPathSegClosePath = 11865,
  SVGPathSegCurvetoCubicAbs = 11885,
  SVGPathSegCurvetoCubicRel = 11911,
  SVGPathSegCurvetoCubicSmoothAbs = 11937,
  SVGPathSegCurvetoCubicSmoothRel = 11969,
  SVGPathSegCurvetoQuadraticAbs = 12001,
  SVGPathSegCurvetoQuadraticRel = 12031,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12061,
  SVGPathSegCurvetoQuadraticSmoothRel = 12097,
  SVGPathSegLinetoAbs = 12133,
  SVGPathSegLinetoHorizontalAbs = 12153,
  SVGPathSegLinetoHorizontalRel = 12183,
  SVGPathSegLinetoRel = 12213,
  SVGPathSegLinetoVerticalAbs = 12233,
  SVGPathSegLinetoVerticalRel = 12261,
  SVGPathSegList = 12289,
  SVGPathSegMovetoAbs = 12304,
  SVGPathSegMovetoRel = 12324,
  SVGPatternElement = 12344,
  SVGPoint = 12362,
  SVGPointList = 12371,
  SVGPolygonElement = 12384,
  SVGPolylineElement = 12402,
  SVGPreserveAspectRatio = 12421,
  SVGRadialGradientElement = 12444,
  SVGRect = 12469,
  SVGRectElement = 12477,
  SVGSVGElement = 12492,
  SVGScriptElement = 12506,
  SVGSetElement = 12523,
  SVGStopElement = 12537,
  SVGStringList = 12552,
  SVGStyleElement = 12566,
  SVGSwitchElement = 12582,
  SVGSymbolElement = 12599,
  SVGTSpanElement = 12616,
  SVGTextContentElement = 12632,
  SVGTextElement = 12654,
  SVGTextPathElement = 12669,
  SVGTextPositioningElement = 12688,
  SVGTitleElement = 12714,
  SVGTransform = 12730,
  SVGTransformList = 12743,
  SVGUnitTypes = 12760,
  SVGUseElement = 12773,
  SVGViewElement = 12787,
  Sanitizer = 12802,
  Scheduler = 12812,
  Screen = 12822,
  ScreenLuminance = 12829,
  ScreenOrientation = 12845,
  ScriptProcessorNode = 12863,
  ScrollAreaEvent = 12883,
  ScrollViewChangeEvent = 12899,
  SecurityPolicyViolationEvent = 12921,
  Selection = 12950,
  ServiceWorker = 12960,
  ServiceWorkerContainer = 12974,
  ServiceWorkerGlobalScope = 12997,
  ServiceWorkerRegistration = 13022,
  SessionStoreFormData = 13048,
  SessionStoreScrollData = 13069,
  SessionStoreUtils = 13092,
  ShadowRealmGlobalScope = 13110,
  ShadowRoot = 13133,
  SharedWorker = 13144,
  SharedWorkerGlobalScope = 13157,
  SimpleGestureEvent = 13181,
  SourceBuffer = 13200,
  SourceBufferList = 13213,
  SpeechGrammar = 13230,
  SpeechGrammarList = 13244,
  SpeechRecognition = 13262,
  SpeechRecognitionAlternative = 13280,
  SpeechRecognitionError = 13309,
  SpeechRecognitionEvent = 13332,
  SpeechRecognitionResult = 13355,
  SpeechRecognitionResultList = 13379,
  SpeechSynthesis = 13407,
  SpeechSynthesisErrorEvent = 13423,
  SpeechSynthesisEvent = 13449,
  SpeechSynthesisUtterance = 13470,
  SpeechSynthesisVoice = 13495,
  StaticRange = 13516,
  StereoPannerNode = 13528,
  Storage = 13545,
  StorageEvent = 13553,
  StorageManager = 13566,
  StreamFilter = 13581,
  StreamFilterDataEvent = 13594,
  StructuredCloneHolder = 13616,
  StructuredCloneTester = 13638,
  StyleSheet = 13660,
  StyleSheetApplicableStateChangeEvent = 13671,
  StyleSheetList = 13708,
  SubmitEvent = 13723,
  SubtleCrypto = 13735,
  SyncMessageSender = 13748,
  SyncReadFile = 13766,
  TCPServerSocket = 13779,
  TCPServerSocketEvent = 13795,
  TCPSocket = 13816,
  TCPSocketErrorEvent = 13826,
  TCPSocketEvent = 13846,
  TaskController = 13861,
  TaskPriorityChangeEvent = 13876,
  TaskSignal = 13900,
  TelemetryStopwatch = 13911,
  TestUtils = 13930,
  TestingDeprecatedInterface = 13940,
  Text = 13967,
  TextClause = 13972,
  TextDecoder = 13983,
  TextDecoderStream = 13995,
  TextEncoder = 14013,
  TextEncoderStream = 14025,
  TextMetrics = 14043,
  TextTrack = 14055,
  TextTrackCue = 14065,
  TextTrackCueList = 14078,
  TextTrackList = 14095,
  TimeEvent = 14109,
  TimeRanges = 14119,
  ToggleEvent = 14130,
  Touch = 14142,
  TouchEvent = 14148,
  TouchList = 14159,
  TrackEvent = 14169,
  TransformStream = 14180,
  TransformStreamDefaultController = 14196,
  TransitionEvent = 14229,
  TreeColumn = 14245,
  TreeColumns = 14256,
  TreeContentView = 14268,
  TreeWalker = 14284,
  U2F = 14295,
  UDPMessageEvent = 14299,
  UDPSocket = 14315,
  UIEvent = 14325,
  URL = 14333,
  URLSearchParams = 14337,
  URLSearchParams_Iterator = 14353,
  UniFFIPointer = 14378,
  UniFFIScaffolding = 14392,
  UserInteraction = 14410,
  UserProximityEvent = 14426,
  VRDisplay = 14445,
  VRDisplayCapabilities = 14455,
  VRDisplayEvent = 14477,
  VREyeParameters = 14492,
  VRFieldOfView = 14508,
  VRFrameData = 14522,
  VRMockController = 14534,
  VRMockDisplay = 14551,
  VRPose = 14565,
  VRServiceTest = 14572,
  VRStageParameters = 14586,
  VTTCue = 14604,
  VTTRegion = 14611,
  ValidityState = 14621,
  VideoColorSpace = 14635,
  VideoFrame = 14651,
  VideoPlaybackQuality = 14662,
  VideoTrack = 14683,
  VideoTrackList = 14694,
  VisualViewport = 14709,
  WEBGL_color_buffer_float = 14724,
  WEBGL_compressed_texture_astc = 14749,
  WEBGL_compressed_texture_etc = 14779,
  WEBGL_compressed_texture_etc1 = 14808,
  WEBGL_compressed_texture_pvrtc = 14838,
  WEBGL_compressed_texture_s3tc = 14869,
  WEBGL_compressed_texture_s3tc_srgb = 14899,
  WEBGL_debug_renderer_info = 14934,
  WEBGL_debug_shaders = 14960,
  WEBGL_depth_texture = 14980,
  WEBGL_draw_buffers = 15000,
  WEBGL_explicit_present = 15019,
  WEBGL_lose_context = 15042,
  WEBGL_provoking_vertex = 15061,
  WaveShaperNode = 15084,
  WebExtensionContentScript = 15099,
  WebExtensionPolicy = 15125,
  WebGL2RenderingContext = 15144,
  WebGLActiveInfo = 15167,
  WebGLBuffer = 15183,
  WebGLContextEvent = 15195,
  WebGLFramebuffer = 15213,
  WebGLProgram = 15230,
  WebGLQuery = 15243,
  WebGLRenderbuffer = 15254,
  WebGLRenderingContext = 15272,
  WebGLSampler = 15294,
  WebGLShader = 15307,
  WebGLShaderPrecisionFormat = 15319,
  WebGLSync = 15346,
  WebGLTexture = 15356,
  WebGLTransformFeedback = 15369,
  WebGLUniformLocation = 15392,
  WebGLVertexArrayObject = 15413,
  WebKitCSSMatrix = 15436,
  WebSocket = 15452,
  WebTransport = 15462,
  WebTransportBidirectionalStream = 15475,
  WebTransportDatagramDuplexStream = 15507,
  WebTransportError = 15540,
  WebTransportReceiveStream = 15558,
  WebTransportSendStream = 15584,
  WheelEvent = 15607,
  Window = 15618,
  WindowClient = 15625,
  WindowContext = 15638,
  WindowGlobalChild = 15652,
  WindowGlobalParent = 15670,
  WindowRoot = 15689,
  Worker = 15700,
  WorkerDebuggerGlobalScope = 15707,
  WorkerGlobalScope = 15733,
  WorkerLocation = 15751,
  WorkerNavigator = 15766,
  WorkerTestUtils = 15782,
  Worklet = 15798,
  WorkletGlobalScope = 15806,
  WritableStream = 15825,
  WritableStreamDefaultController = 15840,
  WritableStreamDefaultWriter = 15872,
  XMLDocument = 15900,
  XMLHttpRequest = 15912,
  XMLHttpRequestEventTarget = 15927,
  XMLHttpRequestUpload = 15953,
  XMLSerializer = 15974,
  XPathEvaluator = 15988,
  XPathExpression = 16003,
  XPathResult = 16019,
  XRBoundedReferenceSpace = 16031,
  XRFrame = 16055,
  XRInputSource = 16063,
  XRInputSourceArray = 16077,
  XRInputSourceEvent = 16096,
  XRInputSourcesChangeEvent = 16115,
  XRPose = 16141,
  XRReferenceSpace = 16148,
  XRReferenceSpaceEvent = 16165,
  XRRenderState = 16187,
  XRRigidTransform = 16201,
  XRSession = 16218,
  XRSessionEvent = 16228,
  XRSpace = 16243,
  XRSystem = 16251,
  XRView = 16260,
  XRViewerPose = 16267,
  XRViewport = 16280,
  XRWebGLLayer = 16291,
  XSLTProcessor = 16304,
  XULCommandEvent = 16318,
  XULElement = 16334,
  XULFrameElement = 16345,
  XULMenuElement = 16361,
  XULPopupElement = 16376,
  XULResizerElement = 16392,
  XULTextElement = 16410,
  XULTreeElement = 16425,
  console = 16440,
  webkitSpeechGrammar = 16448,
  webkitSpeechGrammarList = 16468,
  webkitSpeechRecognition = 16492,
  webkitURL = 16516,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // mozilla_dom_BindingNames_h
