#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPseudoElement" "\0"
  /*  1155 */ "CSSRule" "\0"
  /*  1163 */ "CSSRuleList" "\0"
  /*  1175 */ "CSSStyleDeclaration" "\0"
  /*  1195 */ "CSSStyleRule" "\0"
  /*  1208 */ "CSSStyleSheet" "\0"
  /*  1222 */ "CSSSupportsRule" "\0"
  /*  1238 */ "CSSTransition" "\0"
  /*  1252 */ "Cache" "\0"
  /*  1258 */ "CacheStorage" "\0"
  /*  1271 */ "CallbackDebuggerNotification" "\0"
  /*  1300 */ "CanonicalBrowsingContext" "\0"
  /*  1325 */ "CanvasCaptureMediaStream" "\0"
  /*  1350 */ "CanvasGradient" "\0"
  /*  1365 */ "CanvasPattern" "\0"
  /*  1379 */ "CanvasRenderingContext2D" "\0"
  /*  1404 */ "CaretPosition" "\0"
  /*  1418 */ "CaretStateChangedEvent" "\0"
  /*  1441 */ "ChannelMergerNode" "\0"
  /*  1459 */ "ChannelSplitterNode" "\0"
  /*  1479 */ "ChannelWrapper" "\0"
  /*  1494 */ "CharacterData" "\0"
  /*  1508 */ "CheckerboardReportService" "\0"
  /*  1534 */ "ChildProcessMessageManager" "\0"
  /*  1561 */ "ChildSHistory" "\0"
  /*  1575 */ "ChromeMessageBroadcaster" "\0"
  /*  1600 */ "ChromeMessageSender" "\0"
  /*  1620 */ "ChromeNodeList" "\0"
  /*  1635 */ "ChromeUtils" "\0"
  /*  1647 */ "ChromeWorker" "\0"
  /*  1660 */ "Client" "\0"
  /*  1667 */ "Clients" "\0"
  /*  1675 */ "Clipboard" "\0"
  /*  1685 */ "ClipboardEvent" "\0"
  /*  1700 */ "ClipboardItem" "\0"
  /*  1714 */ "ClonedErrorHolder" "\0"
  /*  1732 */ "CloseEvent" "\0"
  /*  1743 */ "CommandEvent" "\0"
  /*  1756 */ "Comment" "\0"
  /*  1764 */ "CompositionEvent" "\0"
  /*  1781 */ "CompressionStream" "\0"
  /*  1799 */ "ConsoleInstance" "\0"
  /*  1815 */ "ConstantSourceNode" "\0"
  /*  1834 */ "ContentFrameMessageManager" "\0"
  /*  1861 */ "ContentProcessMessageManager" "\0"
  /*  1890 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1928 */ "ConvolverNode" "\0"
  /*  1942 */ "CountQueuingStrategy" "\0"
  /*  1963 */ "CreateOfferRequest" "\0"
  /*  1982 */ "Credential" "\0"
  /*  1993 */ "CredentialsContainer" "\0"
  /*  2014 */ "Crypto" "\0"
  /*  2021 */ "CryptoKey" "\0"
  /*  2031 */ "CustomElementRegistry" "\0"
  /*  2053 */ "CustomEvent" "\0"
  /*  2065 */ "DOMException" "\0"
  /*  2078 */ "DOMImplementation" "\0"
  /*  2096 */ "DOMLocalization" "\0"
  /*  2112 */ "DOMMatrix" "\0"
  /*  2122 */ "DOMMatrixReadOnly" "\0"
  /*  2140 */ "DOMParser" "\0"
  /*  2150 */ "DOMPoint" "\0"
  /*  2159 */ "DOMPointReadOnly" "\0"
  /*  2176 */ "DOMQuad" "\0"
  /*  2184 */ "DOMRect" "\0"
  /*  2192 */ "DOMRectList" "\0"
  /*  2204 */ "DOMRectReadOnly" "\0"
  /*  2220 */ "DOMRequest" "\0"
  /*  2231 */ "DOMStringList" "\0"
  /*  2245 */ "DOMStringMap" "\0"
  /*  2258 */ "DOMTokenList" "\0"
  /*  2271 */ "DataTransfer" "\0"
  /*  2284 */ "DataTransferItem" "\0"
  /*  2301 */ "DataTransferItemList" "\0"
  /*  2322 */ "DebuggerNotification" "\0"
  /*  2343 */ "DebuggerNotificationObserver" "\0"
  /*  2372 */ "DecompressionStream" "\0"
  /*  2392 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2419 */ "DelayNode" "\0"
  /*  2429 */ "DeprecationReportBody" "\0"
  /*  2451 */ "DeviceAcceleration" "\0"
  /*  2470 */ "DeviceLightEvent" "\0"
  /*  2487 */ "DeviceMotionEvent" "\0"
  /*  2505 */ "DeviceOrientationEvent" "\0"
  /*  2528 */ "DeviceRotationRate" "\0"
  /*  2547 */ "Directory" "\0"
  /*  2557 */ "Document" "\0"
  /*  2566 */ "DocumentFragment" "\0"
  /*  2583 */ "DocumentL10n" "\0"
  /*  2596 */ "DocumentTimeline" "\0"
  /*  2613 */ "DocumentType" "\0"
  /*  2626 */ "DominatorTree" "\0"
  /*  2640 */ "DragEvent" "\0"
  /*  2650 */ "DynamicsCompressorNode" "\0"
  /*  2673 */ "EXT_blend_minmax" "\0"
  /*  2690 */ "EXT_color_buffer_float" "\0"
  /*  2713 */ "EXT_color_buffer_half_float" "\0"
  /*  2741 */ "EXT_disjoint_timer_query" "\0"
  /*  2766 */ "EXT_float_blend" "\0"
  /*  2782 */ "EXT_frag_depth" "\0"
  /*  2797 */ "EXT_sRGB" "\0"
  /*  2806 */ "EXT_shader_texture_lod" "\0"
  /*  2829 */ "EXT_texture_compression_bptc" "\0"
  /*  2858 */ "EXT_texture_compression_rgtc" "\0"
  /*  2887 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2918 */ "EXT_texture_norm16" "\0"
  /*  2937 */ "Element" "\0"
  /*  2945 */ "ElementInternals" "\0"
  /*  2962 */ "ErrorEvent" "\0"
  /*  2973 */ "Event" "\0"
  /*  2979 */ "EventCallbackDebuggerNotification" "\0"
  /*  3013 */ "EventCounts" "\0"
  /*  3025 */ "EventSource" "\0"
  /*  3037 */ "EventTarget" "\0"
  /*  3049 */ "Exception" "\0"
  /*  3059 */ "ExtendableEvent" "\0"
  /*  3075 */ "ExtendableMessageEvent" "\0"
  /*  3098 */ "ExtensionAlarms" "\0"
  /*  3114 */ "ExtensionBrowser" "\0"
  /*  3131 */ "ExtensionBrowserSettings" "\0"
  /*  3156 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3196 */ "ExtensionDns" "\0"
  /*  3209 */ "ExtensionEventManager" "\0"
  /*  3231 */ "ExtensionMockAPI" "\0"
  /*  3248 */ "ExtensionPort" "\0"
  /*  3262 */ "ExtensionProxy" "\0"
  /*  3277 */ "ExtensionRuntime" "\0"
  /*  3294 */ "ExtensionScripting" "\0"
  /*  3313 */ "ExtensionSetting" "\0"
  /*  3330 */ "ExtensionTest" "\0"
  /*  3344 */ "External" "\0"
  /*  3353 */ "FeaturePolicy" "\0"
  /*  3367 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3400 */ "FetchEvent" "\0"
  /*  3411 */ "FetchObserver" "\0"
  /*  3425 */ "File" "\0"
  /*  3430 */ "FileList" "\0"
  /*  3439 */ "FileReader" "\0"
  /*  3450 */ "FileReaderSync" "\0"
  /*  3465 */ "FileSystem" "\0"
  /*  3476 */ "FileSystemDirectoryEntry" "\0"
  /*  3501 */ "FileSystemDirectoryHandle" "\0"
  /*  3527 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3567 */ "FileSystemDirectoryIterator" "\0"
  /*  3595 */ "FileSystemDirectoryReader" "\0"
  /*  3621 */ "FileSystemEntry" "\0"
  /*  3637 */ "FileSystemFileEntry" "\0"
  /*  3657 */ "FileSystemFileHandle" "\0"
  /*  3678 */ "FileSystemHandle" "\0"
  /*  3695 */ "FileSystemSyncAccessHandle" "\0"
  /*  3722 */ "FileSystemWritableFileStream" "\0"
  /*  3751 */ "Flex" "\0"
  /*  3756 */ "FlexItemValues" "\0"
  /*  3771 */ "FlexLineValues" "\0"
  /*  3786 */ "FluentBundle" "\0"
  /*  3799 */ "FluentBundleAsyncIterator" "\0"
  /*  3825 */ "FluentBundleIterator" "\0"
  /*  3846 */ "FluentPattern" "\0"
  /*  3860 */ "FluentResource" "\0"
  /*  3875 */ "FocusEvent" "\0"
  /*  3886 */ "FontFace" "\0"
  /*  3895 */ "FontFaceSet" "\0"
  /*  3907 */ "FontFaceSetIterator" "\0"
  /*  3927 */ "FontFaceSetLoadEvent" "\0"
  /*  3948 */ "FormData" "\0"
  /*  3957 */ "FormData Iterator" "\0"
  /*  3975 */ "FormDataEvent" "\0"
  /*  3989 */ "FrameCrashedEvent" "\0"
  /*  4007 */ "FrameLoader" "\0"
  /*  4019 */ "GPU" "\0"
  /*  4023 */ "GPUAdapter" "\0"
  /*  4034 */ "GPUBindGroup" "\0"
  /*  4047 */ "GPUBindGroupLayout" "\0"
  /*  4066 */ "GPUBuffer" "\0"
  /*  4076 */ "GPUBufferUsage" "\0"
  /*  4091 */ "GPUCanvasContext" "\0"
  /*  4108 */ "GPUColorWrite" "\0"
  /*  4122 */ "GPUCommandBuffer" "\0"
  /*  4139 */ "GPUCommandEncoder" "\0"
  /*  4157 */ "GPUCompilationInfo" "\0"
  /*  4176 */ "GPUCompilationMessage" "\0"
  /*  4198 */ "GPUComputePassEncoder" "\0"
  /*  4220 */ "GPUComputePipeline" "\0"
  /*  4239 */ "GPUDevice" "\0"
  /*  4249 */ "GPUDeviceLostInfo" "\0"
  /*  4267 */ "GPUMapMode" "\0"
  /*  4278 */ "GPUOutOfMemoryError" "\0"
  /*  4298 */ "GPUPipelineLayout" "\0"
  /*  4316 */ "GPUQuerySet" "\0"
  /*  4328 */ "GPUQueue" "\0"
  /*  4337 */ "GPURenderBundle" "\0"
  /*  4353 */ "GPURenderBundleEncoder" "\0"
  /*  4376 */ "GPURenderPassEncoder" "\0"
  /*  4397 */ "GPURenderPipeline" "\0"
  /*  4415 */ "GPUSampler" "\0"
  /*  4426 */ "GPUShaderModule" "\0"
  /*  4442 */ "GPUShaderStage" "\0"
  /*  4457 */ "GPUSupportedFeatures" "\0"
  /*  4478 */ "GPUSupportedLimits" "\0"
  /*  4497 */ "GPUTexture" "\0"
  /*  4508 */ "GPUTextureUsage" "\0"
  /*  4524 */ "GPUTextureView" "\0"
  /*  4539 */ "GPUUncapturedErrorEvent" "\0"
  /*  4563 */ "GPUValidationError" "\0"
  /*  4582 */ "GainNode" "\0"
  /*  4591 */ "Gamepad" "\0"
  /*  4599 */ "GamepadAxisMoveEvent" "\0"
  /*  4620 */ "GamepadButton" "\0"
  /*  4634 */ "GamepadButtonEvent" "\0"
  /*  4653 */ "GamepadEvent" "\0"
  /*  4666 */ "GamepadHapticActuator" "\0"
  /*  4688 */ "GamepadLightIndicator" "\0"
  /*  4710 */ "GamepadPose" "\0"
  /*  4722 */ "GamepadServiceTest" "\0"
  /*  4741 */ "GamepadTouch" "\0"
  /*  4754 */ "Geolocation" "\0"
  /*  4766 */ "GeolocationCoordinates" "\0"
  /*  4789 */ "GeolocationPosition" "\0"
  /*  4809 */ "GeolocationPositionError" "\0"
  /*  4834 */ "GetUserMediaRequest" "\0"
  /*  4854 */ "GleanCategory" "\0"
  /*  4868 */ "GleanImpl" "\0"
  /*  4878 */ "GleanLabeled" "\0"
  /*  4891 */ "GleanPingsImpl" "\0"
  /*  4906 */ "Grid" "\0"
  /*  4911 */ "GridArea" "\0"
  /*  4920 */ "GridDimension" "\0"
  /*  4934 */ "GridLine" "\0"
  /*  4943 */ "GridLines" "\0"
  /*  4953 */ "GridTrack" "\0"
  /*  4963 */ "GridTracks" "\0"
  /*  4974 */ "HTMLAllCollection" "\0"
  /*  4992 */ "HTMLAnchorElement" "\0"
  /*  5010 */ "HTMLAreaElement" "\0"
  /*  5026 */ "HTMLAudioElement" "\0"
  /*  5043 */ "HTMLBRElement" "\0"
  /*  5057 */ "HTMLBaseElement" "\0"
  /*  5073 */ "HTMLBodyElement" "\0"
  /*  5089 */ "HTMLButtonElement" "\0"
  /*  5107 */ "HTMLCanvasElement" "\0"
  /*  5125 */ "HTMLCollection" "\0"
  /*  5140 */ "HTMLDListElement" "\0"
  /*  5157 */ "HTMLDataElement" "\0"
  /*  5173 */ "HTMLDataListElement" "\0"
  /*  5193 */ "HTMLDetailsElement" "\0"
  /*  5212 */ "HTMLDialogElement" "\0"
  /*  5230 */ "HTMLDirectoryElement" "\0"
  /*  5251 */ "HTMLDivElement" "\0"
  /*  5266 */ "HTMLDocument" "\0"
  /*  5279 */ "HTMLElement" "\0"
  /*  5291 */ "HTMLEmbedElement" "\0"
  /*  5308 */ "HTMLFieldSetElement" "\0"
  /*  5328 */ "HTMLFontElement" "\0"
  /*  5344 */ "HTMLFormControlsCollection" "\0"
  /*  5371 */ "HTMLFormElement" "\0"
  /*  5387 */ "HTMLFrameElement" "\0"
  /*  5404 */ "HTMLFrameSetElement" "\0"
  /*  5424 */ "HTMLHRElement" "\0"
  /*  5438 */ "HTMLHeadElement" "\0"
  /*  5454 */ "HTMLHeadingElement" "\0"
  /*  5473 */ "HTMLHtmlElement" "\0"
  /*  5489 */ "HTMLIFrameElement" "\0"
  /*  5507 */ "HTMLImageElement" "\0"
  /*  5524 */ "HTMLInputElement" "\0"
  /*  5541 */ "HTMLLIElement" "\0"
  /*  5555 */ "HTMLLabelElement" "\0"
  /*  5572 */ "HTMLLegendElement" "\0"
  /*  5590 */ "HTMLLinkElement" "\0"
  /*  5606 */ "HTMLMapElement" "\0"
  /*  5621 */ "HTMLMarqueeElement" "\0"
  /*  5640 */ "HTMLMediaElement" "\0"
  /*  5657 */ "HTMLMenuElement" "\0"
  /*  5673 */ "HTMLMetaElement" "\0"
  /*  5689 */ "HTMLMeterElement" "\0"
  /*  5706 */ "HTMLModElement" "\0"
  /*  5721 */ "HTMLOListElement" "\0"
  /*  5738 */ "HTMLObjectElement" "\0"
  /*  5756 */ "HTMLOptGroupElement" "\0"
  /*  5776 */ "HTMLOptionElement" "\0"
  /*  5794 */ "HTMLOptionsCollection" "\0"
  /*  5816 */ "HTMLOutputElement" "\0"
  /*  5834 */ "HTMLParagraphElement" "\0"
  /*  5855 */ "HTMLParamElement" "\0"
  /*  5872 */ "HTMLPictureElement" "\0"
  /*  5891 */ "HTMLPreElement" "\0"
  /*  5906 */ "HTMLProgressElement" "\0"
  /*  5926 */ "HTMLQuoteElement" "\0"
  /*  5943 */ "HTMLScriptElement" "\0"
  /*  5961 */ "HTMLSelectElement" "\0"
  /*  5979 */ "HTMLSlotElement" "\0"
  /*  5995 */ "HTMLSourceElement" "\0"
  /*  6013 */ "HTMLSpanElement" "\0"
  /*  6029 */ "HTMLStyleElement" "\0"
  /*  6046 */ "HTMLTableCaptionElement" "\0"
  /*  6070 */ "HTMLTableCellElement" "\0"
  /*  6091 */ "HTMLTableColElement" "\0"
  /*  6111 */ "HTMLTableElement" "\0"
  /*  6128 */ "HTMLTableRowElement" "\0"
  /*  6148 */ "HTMLTableSectionElement" "\0"
  /*  6172 */ "HTMLTemplateElement" "\0"
  /*  6192 */ "HTMLTextAreaElement" "\0"
  /*  6212 */ "HTMLTimeElement" "\0"
  /*  6228 */ "HTMLTitleElement" "\0"
  /*  6245 */ "HTMLTrackElement" "\0"
  /*  6262 */ "HTMLUListElement" "\0"
  /*  6279 */ "HTMLUnknownElement" "\0"
  /*  6298 */ "HTMLVideoElement" "\0"
  /*  6315 */ "HashChangeEvent" "\0"
  /*  6331 */ "Headers" "\0"
  /*  6339 */ "Headers Iterator" "\0"
  /*  6356 */ "HeapSnapshot" "\0"
  /*  6369 */ "Highlight" "\0"
  /*  6379 */ "HighlightRegistry" "\0"
  /*  6397 */ "History" "\0"
  /*  6405 */ "IDBCursor" "\0"
  /*  6415 */ "IDBCursorWithValue" "\0"
  /*  6434 */ "IDBDatabase" "\0"
  /*  6446 */ "IDBFactory" "\0"
  /*  6457 */ "IDBIndex" "\0"
  /*  6466 */ "IDBKeyRange" "\0"
  /*  6478 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6501 */ "IDBObjectStore" "\0"
  /*  6516 */ "IDBOpenDBRequest" "\0"
  /*  6533 */ "IDBRequest" "\0"
  /*  6544 */ "IDBTransaction" "\0"
  /*  6559 */ "IDBVersionChangeEvent" "\0"
  /*  6581 */ "IIRFilterNode" "\0"
  /*  6595 */ "IOUtils" "\0"
  /*  6603 */ "IdentityCredential" "\0"
  /*  6622 */ "IdleDeadline" "\0"
  /*  6635 */ "Image" "\0"
  /*  6641 */ "ImageBitmap" "\0"
  /*  6653 */ "ImageBitmapRenderingContext" "\0"
  /*  6681 */ "ImageCapture" "\0"
  /*  6694 */ "ImageCaptureError" "\0"
  /*  6712 */ "ImageCaptureErrorEvent" "\0"
  /*  6735 */ "ImageData" "\0"
  /*  6745 */ "ImageDocument" "\0"
  /*  6759 */ "InputEvent" "\0"
  /*  6770 */ "InspectorFontFace" "\0"
  /*  6788 */ "InspectorUtils" "\0"
  /*  6803 */ "InstallTriggerImpl" "\0"
  /*  6822 */ "IntersectionObserver" "\0"
  /*  6843 */ "IntersectionObserverEntry" "\0"
  /*  6869 */ "IntlUtils" "\0"
  /*  6879 */ "JSProcessActorChild" "\0"
  /*  6899 */ "JSProcessActorParent" "\0"
  /*  6920 */ "JSWindowActorChild" "\0"
  /*  6939 */ "JSWindowActorParent" "\0"
  /*  6959 */ "KeyEvent" "\0"
  /*  6968 */ "KeyboardEvent" "\0"
  /*  6982 */ "KeyframeEffect" "\0"
  /*  6997 */ "L10nFileSource" "\0"
  /*  7012 */ "L10nOverlays" "\0"
  /*  7025 */ "L10nRegistry" "\0"
  /*  7038 */ "LegacyMozTCPSocket" "\0"
  /*  7057 */ "Localization" "\0"
  /*  7070 */ "Location" "\0"
  /*  7079 */ "Lock" "\0"
  /*  7084 */ "LockManager" "\0"
  /*  7096 */ "MIDIAccess" "\0"
  /*  7107 */ "MIDIConnectionEvent" "\0"
  /*  7127 */ "MIDIInput" "\0"
  /*  7137 */ "MIDIInputMap" "\0"
  /*  7150 */ "MIDIMessageEvent" "\0"
  /*  7167 */ "MIDIOutput" "\0"
  /*  7178 */ "MIDIOutputMap" "\0"
  /*  7192 */ "MIDIPort" "\0"
  /*  7201 */ "MOZ_debug" "\0"
  /*  7211 */ "MatchGlob" "\0"
  /*  7221 */ "MatchPattern" "\0"
  /*  7234 */ "MatchPatternSet" "\0"
  /*  7250 */ "MathMLElement" "\0"
  /*  7264 */ "MediaCapabilities" "\0"
  /*  7282 */ "MediaCapabilitiesInfo" "\0"
  /*  7304 */ "MediaControlService" "\0"
  /*  7324 */ "MediaController" "\0"
  /*  7340 */ "MediaDeviceInfo" "\0"
  /*  7356 */ "MediaDevices" "\0"
  /*  7369 */ "MediaElementAudioSourceNode" "\0"
  /*  7397 */ "MediaEncryptedEvent" "\0"
  /*  7417 */ "MediaError" "\0"
  /*  7428 */ "MediaKeyError" "\0"
  /*  7442 */ "MediaKeyMessageEvent" "\0"
  /*  7463 */ "MediaKeySession" "\0"
  /*  7479 */ "MediaKeyStatusMap" "\0"
  /*  7497 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7524 */ "MediaKeySystemAccess" "\0"
  /*  7545 */ "MediaKeys" "\0"
  /*  7555 */ "MediaList" "\0"
  /*  7565 */ "MediaMetadata" "\0"
  /*  7579 */ "MediaQueryList" "\0"
  /*  7594 */ "MediaQueryListEvent" "\0"
  /*  7614 */ "MediaRecorder" "\0"
  /*  7628 */ "MediaRecorderErrorEvent" "\0"
  /*  7652 */ "MediaSession" "\0"
  /*  7665 */ "MediaSource" "\0"
  /*  7677 */ "MediaStream" "\0"
  /*  7689 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7721 */ "MediaStreamAudioSourceNode" "\0"
  /*  7748 */ "MediaStreamError" "\0"
  /*  7765 */ "MediaStreamEvent" "\0"
  /*  7782 */ "MediaStreamTrack" "\0"
  /*  7799 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7831 */ "MediaStreamTrackEvent" "\0"
  /*  7853 */ "MerchantValidationEvent" "\0"
  /*  7877 */ "MessageBroadcaster" "\0"
  /*  7896 */ "MessageChannel" "\0"
  /*  7911 */ "MessageEvent" "\0"
  /*  7924 */ "MessageListenerManager" "\0"
  /*  7947 */ "MessagePort" "\0"
  /*  7959 */ "MessageSender" "\0"
  /*  7973 */ "MimeType" "\0"
  /*  7982 */ "MimeTypeArray" "\0"
  /*  7996 */ "MouseEvent" "\0"
  /*  8007 */ "MouseScrollEvent" "\0"
  /*  8024 */ "MozCanvasPrintState" "\0"
  /*  8044 */ "MozDocumentMatcher" "\0"
  /*  8063 */ "MozDocumentObserver" "\0"
  /*  8083 */ "MozQueryInterface" "\0"
  /*  8101 */ "MozSharedMap" "\0"
  /*  8114 */ "MozSharedMap Iterator" "\0"
  /*  8136 */ "MozSharedMapChangeEvent" "\0"
  /*  8160 */ "MozStorageAsyncStatementParams" "\0"
  /*  8191 */ "MozStorageStatementParams" "\0"
  /*  8217 */ "MozStorageStatementRow" "\0"
  /*  8240 */ "MozWritableSharedMap" "\0"
  /*  8261 */ "MutationEvent" "\0"
  /*  8275 */ "MutationObserver" "\0"
  /*  8292 */ "MutationRecord" "\0"
  /*  8307 */ "NamedNodeMap" "\0"
  /*  8320 */ "NavigationPreloadManager" "\0"
  /*  8345 */ "Navigator" "\0"
  /*  8355 */ "NetworkInformation" "\0"
  /*  8374 */ "Node" "\0"
  /*  8379 */ "NodeFilter" "\0"
  /*  8390 */ "NodeIterator" "\0"
  /*  8403 */ "NodeList" "\0"
  /*  8412 */ "Notification" "\0"
  /*  8425 */ "NotificationEvent" "\0"
  /*  8443 */ "NotifyPaintEvent" "\0"
  /*  8460 */ "OES_draw_buffers_indexed" "\0"
  /*  8485 */ "OES_element_index_uint" "\0"
  /*  8508 */ "OES_fbo_render_mipmap" "\0"
  /*  8530 */ "OES_standard_derivatives" "\0"
  /*  8555 */ "OES_texture_float" "\0"
  /*  8573 */ "OES_texture_float_linear" "\0"
  /*  8598 */ "OES_texture_half_float" "\0"
  /*  8621 */ "OES_texture_half_float_linear" "\0"
  /*  8651 */ "OES_vertex_array_object" "\0"
  /*  8675 */ "OVR_multiview2" "\0"
  /*  8690 */ "OfflineAudioCompletionEvent" "\0"
  /*  8718 */ "OfflineAudioContext" "\0"
  /*  8738 */ "OfflineResourceList" "\0"
  /*  8758 */ "OffscreenCanvas" "\0"
  /*  8774 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8808 */ "Option" "\0"
  /*  8815 */ "OscillatorNode" "\0"
  /*  8830 */ "PageTransitionEvent" "\0"
  /*  8850 */ "PaintRequest" "\0"
  /*  8863 */ "PaintRequestList" "\0"
  /*  8880 */ "PaintWorkletGlobalScope" "\0"
  /*  8904 */ "PannerNode" "\0"
  /*  8915 */ "ParentProcessMessageManager" "\0"
  /*  8943 */ "Path2D" "\0"
  /*  8950 */ "PathUtils" "\0"
  /*  8960 */ "PaymentAddress" "\0"
  /*  8975 */ "PaymentMethodChangeEvent" "\0"
  /*  9000 */ "PaymentRequest" "\0"
  /*  9015 */ "PaymentRequestUpdateEvent" "\0"
  /*  9041 */ "PaymentResponse" "\0"
  /*  9057 */ "Performance" "\0"
  /*  9069 */ "PerformanceEntry" "\0"
  /*  9086 */ "PerformanceEntryEvent" "\0"
  /*  9108 */ "PerformanceEventTiming" "\0"
  /*  9131 */ "PerformanceMark" "\0"
  /*  9147 */ "PerformanceMeasure" "\0"
  /*  9166 */ "PerformanceNavigation" "\0"
  /*  9188 */ "PerformanceNavigationTiming" "\0"
  /*  9216 */ "PerformanceObserver" "\0"
  /*  9236 */ "PerformanceObserverEntryList" "\0"
  /*  9265 */ "PerformancePaintTiming" "\0"
  /*  9288 */ "PerformanceResourceTiming" "\0"
  /*  9314 */ "PerformanceServerTiming" "\0"
  /*  9338 */ "PerformanceTiming" "\0"
  /*  9356 */ "PeriodicWave" "\0"
  /*  9369 */ "PermissionStatus" "\0"
  /*  9386 */ "Permissions" "\0"
  /*  9398 */ "PlacesBookmark" "\0"
  /*  9413 */ "PlacesBookmarkAddition" "\0"
  /*  9436 */ "PlacesBookmarkChanged" "\0"
  /*  9458 */ "PlacesBookmarkGuid" "\0"
  /*  9477 */ "PlacesBookmarkKeyword" "\0"
  /*  9499 */ "PlacesBookmarkMoved" "\0"
  /*  9519 */ "PlacesBookmarkRemoved" "\0"
  /*  9541 */ "PlacesBookmarkTags" "\0"
  /*  9560 */ "PlacesBookmarkTime" "\0"
  /*  9579 */ "PlacesBookmarkTitle" "\0"
  /*  9599 */ "PlacesBookmarkUrl" "\0"
  /*  9617 */ "PlacesEvent" "\0"
  /*  9629 */ "PlacesFavicon" "\0"
  /*  9643 */ "PlacesHistoryCleared" "\0"
  /*  9664 */ "PlacesObservers" "\0"
  /*  9680 */ "PlacesPurgeCaches" "\0"
  /*  9698 */ "PlacesRanking" "\0"
  /*  9712 */ "PlacesVisit" "\0"
  /*  9724 */ "PlacesVisitRemoved" "\0"
  /*  9743 */ "PlacesVisitTitle" "\0"
  /*  9760 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9786 */ "Plugin" "\0"
  /*  9793 */ "PluginArray" "\0"
  /*  9805 */ "PluginCrashedEvent" "\0"
  /*  9824 */ "PointerEvent" "\0"
  /*  9837 */ "PopStateEvent" "\0"
  /*  9851 */ "PopupBlockedEvent" "\0"
  /*  9869 */ "PopupPositionedEvent" "\0"
  /*  9890 */ "PositionStateEvent" "\0"
  /*  9909 */ "PrecompiledScript" "\0"
  /*  9927 */ "ProcessMessageManager" "\0"
  /*  9949 */ "ProcessingInstruction" "\0"
  /*  9971 */ "ProgressEvent" "\0"
  /*  9985 */ "PromiseDebugging" "\0"
  /* 10002 */ "PromiseNativeHandler" "\0"
  /* 10023 */ "PromiseRejectionEvent" "\0"
  /* 10045 */ "PublicKeyCredential" "\0"
  /* 10065 */ "PushEvent" "\0"
  /* 10075 */ "PushManager" "\0"
  /* 10087 */ "PushManagerImpl" "\0"
  /* 10103 */ "PushMessageData" "\0"
  /* 10119 */ "PushSubscription" "\0"
  /* 10136 */ "PushSubscriptionOptions" "\0"
  /* 10160 */ "RadioNodeList" "\0"
  /* 10174 */ "Range" "\0"
  /* 10180 */ "ReadableByteStreamController" "\0"
  /* 10209 */ "ReadableStream" "\0"
  /* 10224 */ "ReadableStream AsyncIterator" "\0"
  /* 10253 */ "ReadableStreamBYOBReader" "\0"
  /* 10278 */ "ReadableStreamBYOBRequest" "\0"
  /* 10304 */ "ReadableStreamDefaultController" "\0"
  /* 10336 */ "ReadableStreamDefaultReader" "\0"
  /* 10364 */ "Report" "\0"
  /* 10371 */ "ReportBody" "\0"
  /* 10382 */ "ReportingObserver" "\0"
  /* 10400 */ "Request" "\0"
  /* 10408 */ "ResizeObserver" "\0"
  /* 10423 */ "ResizeObserverEntry" "\0"
  /* 10443 */ "ResizeObserverSize" "\0"
  /* 10462 */ "Response" "\0"
  /* 10471 */ "SVGAElement" "\0"
  /* 10483 */ "SVGAngle" "\0"
  /* 10492 */ "SVGAnimateElement" "\0"
  /* 10510 */ "SVGAnimateMotionElement" "\0"
  /* 10534 */ "SVGAnimateTransformElement" "\0"
  /* 10561 */ "SVGAnimatedAngle" "\0"
  /* 10578 */ "SVGAnimatedBoolean" "\0"
  /* 10597 */ "SVGAnimatedEnumeration" "\0"
  /* 10620 */ "SVGAnimatedInteger" "\0"
  /* 10639 */ "SVGAnimatedLength" "\0"
  /* 10657 */ "SVGAnimatedLengthList" "\0"
  /* 10679 */ "SVGAnimatedNumber" "\0"
  /* 10697 */ "SVGAnimatedNumberList" "\0"
  /* 10719 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10750 */ "SVGAnimatedRect" "\0"
  /* 10766 */ "SVGAnimatedString" "\0"
  /* 10784 */ "SVGAnimatedTransformList" "\0"
  /* 10809 */ "SVGAnimationElement" "\0"
  /* 10829 */ "SVGCircleElement" "\0"
  /* 10846 */ "SVGClipPathElement" "\0"
  /* 10865 */ "SVGComponentTransferFunctionElement" "\0"
  /* 10901 */ "SVGDefsElement" "\0"
  /* 10916 */ "SVGDescElement" "\0"
  /* 10931 */ "SVGElement" "\0"
  /* 10942 */ "SVGEllipseElement" "\0"
  /* 10960 */ "SVGFEBlendElement" "\0"
  /* 10978 */ "SVGFEColorMatrixElement" "\0"
  /* 11002 */ "SVGFEComponentTransferElement" "\0"
  /* 11032 */ "SVGFECompositeElement" "\0"
  /* 11054 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11081 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11109 */ "SVGFEDisplacementMapElement" "\0"
  /* 11137 */ "SVGFEDistantLightElement" "\0"
  /* 11162 */ "SVGFEDropShadowElement" "\0"
  /* 11185 */ "SVGFEFloodElement" "\0"
  /* 11203 */ "SVGFEFuncAElement" "\0"
  /* 11221 */ "SVGFEFuncBElement" "\0"
  /* 11239 */ "SVGFEFuncGElement" "\0"
  /* 11257 */ "SVGFEFuncRElement" "\0"
  /* 11275 */ "SVGFEGaussianBlurElement" "\0"
  /* 11300 */ "SVGFEImageElement" "\0"
  /* 11318 */ "SVGFEMergeElement" "\0"
  /* 11336 */ "SVGFEMergeNodeElement" "\0"
  /* 11358 */ "SVGFEMorphologyElement" "\0"
  /* 11381 */ "SVGFEOffsetElement" "\0"
  /* 11400 */ "SVGFEPointLightElement" "\0"
  /* 11423 */ "SVGFESpecularLightingElement" "\0"
  /* 11452 */ "SVGFESpotLightElement" "\0"
  /* 11474 */ "SVGFETileElement" "\0"
  /* 11491 */ "SVGFETurbulenceElement" "\0"
  /* 11514 */ "SVGFilterElement" "\0"
  /* 11531 */ "SVGForeignObjectElement" "\0"
  /* 11555 */ "SVGGElement" "\0"
  /* 11567 */ "SVGGeometryElement" "\0"
  /* 11586 */ "SVGGradientElement" "\0"
  /* 11605 */ "SVGGraphicsElement" "\0"
  /* 11624 */ "SVGImageElement" "\0"
  /* 11640 */ "SVGLength" "\0"
  /* 11650 */ "SVGLengthList" "\0"
  /* 11664 */ "SVGLineElement" "\0"
  /* 11679 */ "SVGLinearGradientElement" "\0"
  /* 11704 */ "SVGMPathElement" "\0"
  /* 11720 */ "SVGMarkerElement" "\0"
  /* 11737 */ "SVGMaskElement" "\0"
  /* 11752 */ "SVGMatrix" "\0"
  /* 11762 */ "SVGMetadataElement" "\0"
  /* 11781 */ "SVGNumber" "\0"
  /* 11791 */ "SVGNumberList" "\0"
  /* 11805 */ "SVGPathElement" "\0"
  /* 11820 */ "SVGPathSeg" "\0"
  /* 11831 */ "SVGPathSegArcAbs" "\0"
  /* 11848 */ "SVGPathSegArcRel" "\0"
  /* 11865 */ "SVGPathSegClosePath" "\0"
  /* 11885 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 11911 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 11937 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 11969 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12001 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12031 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12061 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12097 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12133 */ "SVGPathSegLinetoAbs" "\0"
  /* 12153 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12183 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12213 */ "SVGPathSegLinetoRel" "\0"
  /* 12233 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12261 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12289 */ "SVGPathSegList" "\0"
  /* 12304 */ "SVGPathSegMovetoAbs" "\0"
  /* 12324 */ "SVGPathSegMovetoRel" "\0"
  /* 12344 */ "SVGPatternElement" "\0"
  /* 12362 */ "SVGPoint" "\0"
  /* 12371 */ "SVGPointList" "\0"
  /* 12384 */ "SVGPolygonElement" "\0"
  /* 12402 */ "SVGPolylineElement" "\0"
  /* 12421 */ "SVGPreserveAspectRatio" "\0"
  /* 12444 */ "SVGRadialGradientElement" "\0"
  /* 12469 */ "SVGRect" "\0"
  /* 12477 */ "SVGRectElement" "\0"
  /* 12492 */ "SVGSVGElement" "\0"
  /* 12506 */ "SVGScriptElement" "\0"
  /* 12523 */ "SVGSetElement" "\0"
  /* 12537 */ "SVGStopElement" "\0"
  /* 12552 */ "SVGStringList" "\0"
  /* 12566 */ "SVGStyleElement" "\0"
  /* 12582 */ "SVGSwitchElement" "\0"
  /* 12599 */ "SVGSymbolElement" "\0"
  /* 12616 */ "SVGTSpanElement" "\0"
  /* 12632 */ "SVGTextContentElement" "\0"
  /* 12654 */ "SVGTextElement" "\0"
  /* 12669 */ "SVGTextPathElement" "\0"
  /* 12688 */ "SVGTextPositioningElement" "\0"
  /* 12714 */ "SVGTitleElement" "\0"
  /* 12730 */ "SVGTransform" "\0"
  /* 12743 */ "SVGTransformList" "\0"
  /* 12760 */ "SVGUnitTypes" "\0"
  /* 12773 */ "SVGUseElement" "\0"
  /* 12787 */ "SVGViewElement" "\0"
  /* 12802 */ "Sanitizer" "\0"
  /* 12812 */ "Scheduler" "\0"
  /* 12822 */ "Screen" "\0"
  /* 12829 */ "ScreenLuminance" "\0"
  /* 12845 */ "ScreenOrientation" "\0"
  /* 12863 */ "ScriptProcessorNode" "\0"
  /* 12883 */ "ScrollAreaEvent" "\0"
  /* 12899 */ "ScrollViewChangeEvent" "\0"
  /* 12921 */ "SecurityPolicyViolationEvent" "\0"
  /* 12950 */ "Selection" "\0"
  /* 12960 */ "ServiceWorker" "\0"
  /* 12974 */ "ServiceWorkerContainer" "\0"
  /* 12997 */ "ServiceWorkerGlobalScope" "\0"
  /* 13022 */ "ServiceWorkerRegistration" "\0"
  /* 13048 */ "SessionStoreFormData" "\0"
  /* 13069 */ "SessionStoreScrollData" "\0"
  /* 13092 */ "SessionStoreUtils" "\0"
  /* 13110 */ "ShadowRealmGlobalScope" "\0"
  /* 13133 */ "ShadowRoot" "\0"
  /* 13144 */ "SharedWorker" "\0"
  /* 13157 */ "SharedWorkerGlobalScope" "\0"
  /* 13181 */ "SimpleGestureEvent" "\0"
  /* 13200 */ "SourceBuffer" "\0"
  /* 13213 */ "SourceBufferList" "\0"
  /* 13230 */ "SpeechGrammar" "\0"
  /* 13244 */ "SpeechGrammarList" "\0"
  /* 13262 */ "SpeechRecognition" "\0"
  /* 13280 */ "SpeechRecognitionAlternative" "\0"
  /* 13309 */ "SpeechRecognitionError" "\0"
  /* 13332 */ "SpeechRecognitionEvent" "\0"
  /* 13355 */ "SpeechRecognitionResult" "\0"
  /* 13379 */ "SpeechRecognitionResultList" "\0"
  /* 13407 */ "SpeechSynthesis" "\0"
  /* 13423 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13449 */ "SpeechSynthesisEvent" "\0"
  /* 13470 */ "SpeechSynthesisUtterance" "\0"
  /* 13495 */ "SpeechSynthesisVoice" "\0"
  /* 13516 */ "StaticRange" "\0"
  /* 13528 */ "StereoPannerNode" "\0"
  /* 13545 */ "Storage" "\0"
  /* 13553 */ "StorageEvent" "\0"
  /* 13566 */ "StorageManager" "\0"
  /* 13581 */ "StreamFilter" "\0"
  /* 13594 */ "StreamFilterDataEvent" "\0"
  /* 13616 */ "StructuredCloneHolder" "\0"
  /* 13638 */ "StructuredCloneTester" "\0"
  /* 13660 */ "StyleSheet" "\0"
  /* 13671 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13708 */ "StyleSheetList" "\0"
  /* 13723 */ "SubmitEvent" "\0"
  /* 13735 */ "SubtleCrypto" "\0"
  /* 13748 */ "SyncMessageSender" "\0"
  /* 13766 */ "SyncReadFile" "\0"
  /* 13779 */ "TCPServerSocket" "\0"
  /* 13795 */ "TCPServerSocketEvent" "\0"
  /* 13816 */ "TCPSocket" "\0"
  /* 13826 */ "TCPSocketErrorEvent" "\0"
  /* 13846 */ "TCPSocketEvent" "\0"
  /* 13861 */ "TaskController" "\0"
  /* 13876 */ "TaskPriorityChangeEvent" "\0"
  /* 13900 */ "TaskSignal" "\0"
  /* 13911 */ "TelemetryStopwatch" "\0"
  /* 13930 */ "TestUtils" "\0"
  /* 13940 */ "TestingDeprecatedInterface" "\0"
  /* 13967 */ "Text" "\0"
  /* 13972 */ "TextClause" "\0"
  /* 13983 */ "TextDecoder" "\0"
  /* 13995 */ "TextDecoderStream" "\0"
  /* 14013 */ "TextEncoder" "\0"
  /* 14025 */ "TextEncoderStream" "\0"
  /* 14043 */ "TextMetrics" "\0"
  /* 14055 */ "TextTrack" "\0"
  /* 14065 */ "TextTrackCue" "\0"
  /* 14078 */ "TextTrackCueList" "\0"
  /* 14095 */ "TextTrackList" "\0"
  /* 14109 */ "TimeEvent" "\0"
  /* 14119 */ "TimeRanges" "\0"
  /* 14130 */ "ToggleEvent" "\0"
  /* 14142 */ "Touch" "\0"
  /* 14148 */ "TouchEvent" "\0"
  /* 14159 */ "TouchList" "\0"
  /* 14169 */ "TrackEvent" "\0"
  /* 14180 */ "TransformStream" "\0"
  /* 14196 */ "TransformStreamDefaultController" "\0"
  /* 14229 */ "TransitionEvent" "\0"
  /* 14245 */ "TreeColumn" "\0"
  /* 14256 */ "TreeColumns" "\0"
  /* 14268 */ "TreeContentView" "\0"
  /* 14284 */ "TreeWalker" "\0"
  /* 14295 */ "U2F" "\0"
  /* 14299 */ "UDPMessageEvent" "\0"
  /* 14315 */ "UDPSocket" "\0"
  /* 14325 */ "UIEvent" "\0"
  /* 14333 */ "URL" "\0"
  /* 14337 */ "URLSearchParams" "\0"
  /* 14353 */ "URLSearchParams Iterator" "\0"
  /* 14378 */ "UniFFIPointer" "\0"
  /* 14392 */ "UniFFIScaffolding" "\0"
  /* 14410 */ "UserInteraction" "\0"
  /* 14426 */ "UserProximityEvent" "\0"
  /* 14445 */ "VRDisplay" "\0"
  /* 14455 */ "VRDisplayCapabilities" "\0"
  /* 14477 */ "VRDisplayEvent" "\0"
  /* 14492 */ "VREyeParameters" "\0"
  /* 14508 */ "VRFieldOfView" "\0"
  /* 14522 */ "VRFrameData" "\0"
  /* 14534 */ "VRMockController" "\0"
  /* 14551 */ "VRMockDisplay" "\0"
  /* 14565 */ "VRPose" "\0"
  /* 14572 */ "VRServiceTest" "\0"
  /* 14586 */ "VRStageParameters" "\0"
  /* 14604 */ "VTTCue" "\0"
  /* 14611 */ "VTTRegion" "\0"
  /* 14621 */ "ValidityState" "\0"
  /* 14635 */ "VideoColorSpace" "\0"
  /* 14651 */ "VideoFrame" "\0"
  /* 14662 */ "VideoPlaybackQuality" "\0"
  /* 14683 */ "VideoTrack" "\0"
  /* 14694 */ "VideoTrackList" "\0"
  /* 14709 */ "VisualViewport" "\0"
  /* 14724 */ "WEBGL_color_buffer_float" "\0"
  /* 14749 */ "WEBGL_compressed_texture_astc" "\0"
  /* 14779 */ "WEBGL_compressed_texture_etc" "\0"
  /* 14808 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 14838 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 14869 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 14899 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 14934 */ "WEBGL_debug_renderer_info" "\0"
  /* 14960 */ "WEBGL_debug_shaders" "\0"
  /* 14980 */ "WEBGL_depth_texture" "\0"
  /* 15000 */ "WEBGL_draw_buffers" "\0"
  /* 15019 */ "WEBGL_explicit_present" "\0"
  /* 15042 */ "WEBGL_lose_context" "\0"
  /* 15061 */ "WEBGL_provoking_vertex" "\0"
  /* 15084 */ "WaveShaperNode" "\0"
  /* 15099 */ "WebExtensionContentScript" "\0"
  /* 15125 */ "WebExtensionPolicy" "\0"
  /* 15144 */ "WebGL2RenderingContext" "\0"
  /* 15167 */ "WebGLActiveInfo" "\0"
  /* 15183 */ "WebGLBuffer" "\0"
  /* 15195 */ "WebGLContextEvent" "\0"
  /* 15213 */ "WebGLFramebuffer" "\0"
  /* 15230 */ "WebGLProgram" "\0"
  /* 15243 */ "WebGLQuery" "\0"
  /* 15254 */ "WebGLRenderbuffer" "\0"
  /* 15272 */ "WebGLRenderingContext" "\0"
  /* 15294 */ "WebGLSampler" "\0"
  /* 15307 */ "WebGLShader" "\0"
  /* 15319 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15346 */ "WebGLSync" "\0"
  /* 15356 */ "WebGLTexture" "\0"
  /* 15369 */ "WebGLTransformFeedback" "\0"
  /* 15392 */ "WebGLUniformLocation" "\0"
  /* 15413 */ "WebGLVertexArrayObject" "\0"
  /* 15436 */ "WebKitCSSMatrix" "\0"
  /* 15452 */ "WebSocket" "\0"
  /* 15462 */ "WebTransport" "\0"
  /* 15475 */ "WebTransportBidirectionalStream" "\0"
  /* 15507 */ "WebTransportDatagramDuplexStream" "\0"
  /* 15540 */ "WebTransportError" "\0"
  /* 15558 */ "WebTransportReceiveStream" "\0"
  /* 15584 */ "WebTransportSendStream" "\0"
  /* 15607 */ "WheelEvent" "\0"
  /* 15618 */ "Window" "\0"
  /* 15625 */ "WindowClient" "\0"
  /* 15638 */ "WindowContext" "\0"
  /* 15652 */ "WindowGlobalChild" "\0"
  /* 15670 */ "WindowGlobalParent" "\0"
  /* 15689 */ "WindowRoot" "\0"
  /* 15700 */ "Worker" "\0"
  /* 15707 */ "WorkerDebuggerGlobalScope" "\0"
  /* 15733 */ "WorkerGlobalScope" "\0"
  /* 15751 */ "WorkerLocation" "\0"
  /* 15766 */ "WorkerNavigator" "\0"
  /* 15782 */ "WorkerTestUtils" "\0"
  /* 15798 */ "Worklet" "\0"
  /* 15806 */ "WorkletGlobalScope" "\0"
  /* 15825 */ "WritableStream" "\0"
  /* 15840 */ "WritableStreamDefaultController" "\0"
  /* 15872 */ "WritableStreamDefaultWriter" "\0"
  /* 15900 */ "XMLDocument" "\0"
  /* 15912 */ "XMLHttpRequest" "\0"
  /* 15927 */ "XMLHttpRequestEventTarget" "\0"
  /* 15953 */ "XMLHttpRequestUpload" "\0"
  /* 15974 */ "XMLSerializer" "\0"
  /* 15988 */ "XPathEvaluator" "\0"
  /* 16003 */ "XPathExpression" "\0"
  /* 16019 */ "XPathResult" "\0"
  /* 16031 */ "XRBoundedReferenceSpace" "\0"
  /* 16055 */ "XRFrame" "\0"
  /* 16063 */ "XRInputSource" "\0"
  /* 16077 */ "XRInputSourceArray" "\0"
  /* 16096 */ "XRInputSourceEvent" "\0"
  /* 16115 */ "XRInputSourcesChangeEvent" "\0"
  /* 16141 */ "XRPose" "\0"
  /* 16148 */ "XRReferenceSpace" "\0"
  /* 16165 */ "XRReferenceSpaceEvent" "\0"
  /* 16187 */ "XRRenderState" "\0"
  /* 16201 */ "XRRigidTransform" "\0"
  /* 16218 */ "XRSession" "\0"
  /* 16228 */ "XRSessionEvent" "\0"
  /* 16243 */ "XRSpace" "\0"
  /* 16251 */ "XRSystem" "\0"
  /* 16260 */ "XRView" "\0"
  /* 16267 */ "XRViewerPose" "\0"
  /* 16280 */ "XRViewport" "\0"
  /* 16291 */ "XRWebGLLayer" "\0"
  /* 16304 */ "XSLTProcessor" "\0"
  /* 16318 */ "XULCommandEvent" "\0"
  /* 16334 */ "XULElement" "\0"
  /* 16345 */ "XULFrameElement" "\0"
  /* 16361 */ "XULMenuElement" "\0"
  /* 16376 */ "XULPopupElement" "\0"
  /* 16392 */ "XULResizerElement" "\0"
  /* 16410 */ "XULTextElement" "\0"
  /* 16425 */ "XULTreeElement" "\0"
  /* 16440 */ "console" "\0"
  /* 16448 */ "webkitSpeechGrammar" "\0"
  /* 16468 */ "webkitSpeechGrammarList" "\0"
  /* 16492 */ "webkitSpeechRecognition" "\0"
  /* 16516 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

